WordPress Can not Update Theme and Plugin FTP Credentials

Yesterday, I got a little problem. I have many websites and some of them in one web hosting. I try to update WordPress new version 4.6, but it did not work. It also can not update theme and plugin. On the WordPress dashboard, show alert:

enter ftp credentials

or read here the message

To perform the requested action, WordPress needs to access your web server. Please enter your FTP credentials to proceed. If you do not remember your credentials, you should contact your web host.

Hostname
example: www.wordpress.org
FTP Username
admin
FTP Password
***************
This password will not be stored on the server.
Connection Type
-FTP
-FTPS (SSL)
-Cancel -Proceed

So, how to fix for asking the ftp credentials?

Just simple step. You can add the following code

define(‘FS_METHOD’, ‘direct’);

and paste it into your wp-config.php (login cPanel first -> File Manager -> your WordPress directory.

wp config

And now, you can smile again.

solved

Okay guys, mission completed!

Leave a Reply

Your email address will not be published. Required fields are marked *